
QGIS Application - Feature request #3019

Enable symbology with KML export

2010-09-18 04:54 AM - pinghanling -

Status: Open

Priority: Low

Assignee:

Category: Symbology

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 13079

Description

It would be nice of the KML export could preserve a layer's symbology as set in QGIS.

History

#1 - 2010-09-18 06:14 AM - Giovanni Manghi

there is the qgis2google plugin. Please ask to have it added to QGIS source code.

#2 - 2010-09-19 11:42 PM - pinghanling -

Replying to [comment:1 lutra]:

there is the qgis2google plugin. Please ask to have it added to QGIS source code.

This plugin doesn't seem to allow saving to the KML format.

If I wanted to make such a request, how would I do that?

#3 - 2010-09-20 01:06 AM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to wontfix

when you have the layers into GE you can always save as kml, right? If you would like the plugin to save directly into kml you have to ask directly to the

developers (supporting them is also a good idea), in this case gislab.

I would really love to see this plugin into qgis core, but for now we have to stick with it as... plugin.

In a way or another it does what you ask, so I believe that we can close this ticket. Feel free to reopen.

#4 - 2010-12-28 09:21 PM - John Tull

- Resolution deleted (wontfix)

- Status changed from Closed to Feedback

I am not having success with this plugin in current trunk build. Perhaps it is OS X related, but it would be nice to make this functionality native to qgis rather

than plugin-based, unless the plugin is kept current for all OS's.
#5 - 2010-12-29 06:37 AM - Giovanni Manghi

was the qgis2google plugin added to trunk?

#6 - 2010-12-29 09:04 PM - John Tull

No, it has not been. Because of that, this is reopening the enhancement request to make this a part of qgis rather than relying on a plugin that seems to be

untended.

#7 - 2011-12-16 01:55 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#8 - 2012-04-15 10:10 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#9 - 2012-10-06 02:29 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#10 - 2015-10-19 02:57 AM - Jürgen Fischer

- Status changed from Feedback to Open

- Assignee deleted (nobody -)

- Pull Request or Patch supplied set to No

#11 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No
